Skip to main content

Attention: Sip RA with last Jain Sip does not compile

3 replies [Last post]
eduardomartins
Offline
Joined: 2005-10-10
Points: 0

Besides the usual 3 warnings now there is a error if you try to build the SIP RA with the last nist sip libs, the error is:

org.mobicents.slee.resource.sip.SipProviderProxy is not abstract and does not override abstract method setAutomaticDialogSupportEnabled(boolean) in javax.sip.SipProvider

Eduardo Martins
PT Inovação

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
ivelin
Offline
Joined: 2003-07-13
Points: 0

yes. please commit the update.

eduardomartins
Offline
Joined: 2005-10-10
Points: 0

Issue solved with Ranga, should i update the SIP RA with the last jain sip?

Eduardo Martins

hoichin
Offline
Joined: 2004-12-03
Points: 0

Can you update SIP RA with latest Jain SIP 1.2 release. I think there is a bug with SIPDialog.createAck() method in the current version that is in SIP RA of mobicents. The method checks the request method if it is INVITE, if so throws exception. The latest jar from NIST has a fix so that if the request method is NOT INVITE then throws exception.
Regards,
Henry.